@use '../utils/variables' as var;

.catalog {
    background-color: var.$bgcolor;
    padding-bottom: 60px;

    @media (max-width: 768px) {
        padding-bottom: 30px;
    }
}

.catalog__title {
    margin-left: 40px;
    font-weight: var.$font-extra-bold;
    color: var.$textcolor;

    @media (max-width: 768px) {
        margin-left: 20px;
        font-size: 22px;
        margin-bottom: 5px;
    }
}

.catalog__link {
    text-decoration: none;
}

.catalog__list {
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding: 0;
}

.catalog__item {
    margin-right: 10px;
    margin-top: 20px;
    margin-left: 10px;
    border-radius: 10px;
    overflow: hidden;
    max-width: 400px;
    height: 260px;
    width: 100%;

    @media (max-width: 450px) {
        width: 100%;
        height: 100%;
        max-width: 400px;
        max-height: 260px;
    }

}

.catalog__img {
    width: 100%;
    height: 100%;
}